curl --request GET \
--url https://cloud.memsource.com/web/api2/v2/webhooks/{webHookUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v2/webhooks/{webHookUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v2/webhooks/{webHookUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
"JOB_STATUS_CHANGED"
],
"hidden": true,
"id": "<string>",
"secretTokenType": "X_MEMSOURCE_TOKEN",
"status": "ENABLED",
"uid": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"failedAttempts": 123,
"lastModified": "2023-11-07T05:31:56Z",
"lastModifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"name": "<string>",
"secretToken": "<string>",
"url": "<string>"
}Get webhook
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the webhook
Response
OK
Events that trigger this webhook
JOB_STATUS_CHANGED, JOB_CREATED, JOB_DELETED, JOB_UNSHARED, JOB_ASSIGNED, JOB_DUE_DATE_CHANGED, JOB_UPDATED, JOB_TARGET_UPDATED, JOB_EXPORTED, JOB_UNEXPORTED, JOB_AUTO_LQA_FINISHED, JOB_METADATA_UPDATED, JOB_CUSTOM_FIELDS_UPDATED, PROJECT_CREATED, PROJECT_DELETED, PROJECT_UNSHARED, PROJECT_STATUS_CHANGED, PROJECT_DUE_DATE_CHANGED, SHARED_PROJECT_ASSIGNED, PROJECT_METADATA_UPDATED, PRE_TRANSLATION_FINISHED, ANALYSIS_CREATED, CONTINUOUS_JOB_UPDATED, PROJECT_TEMPLATE_CREATED, PROJECT_TEMPLATE_UPDATED, PROJECT_TEMPLATE_DELETED, RAW_MT_CONVERTER_IMPORT_FINISHED, RAW_MT_PRE_TRANSLATION_FINISHED, RAW_MT_QUALITY_ESTIMATION_FINISHED, TERM_BASE_TERM_CREATED, TERM_BASE_TERM_UPDATED, TERM_BASE_TERM_DELETED, TERM_BASE_CONCEPT_CREATED, TERM_BASE_CONCEPT_UPDATED, TERM_BASE_CONCEPT_DELETED, TERM_BASE_IMPORTED, ASYNC_REQUEST_FINISHED When true, the webhook is hidden from UI listings
Internal numeric identifier, encoded as a string
Type of secret token header used for payload verification
X_MEMSOURCE_TOKEN, AUTHORIZATION Whether the webhook is enabled or disabled
ENABLED, DISABLED Unique identifier used in API paths
Date and time the webhook was created
Show child attributes
Show child attributes
Number of consecutive failed delivery attempts
Date and time the webhook was last modified
Show child attributes
Show child attributes
Display name of the webhook
Secret token sent with every webhook request for payload verification
1 - 255URL the webhook payload is sent to
Was this page helpful?